aboutsummaryrefslogtreecommitdiffstats
path: root/main/v4l-utils/APKBUILD
diff options
context:
space:
mode:
authorFrancesco Colista <fcolista@alpinelinux.org>2015-12-18 09:48:39 +0000
committerFrancesco Colista <fcolista@alpinelinux.org>2015-12-18 09:48:39 +0000
commitcf2a4fe10253ba2f846f14e6b8169e5be4bdba52 (patch)
treefc155fe12c1d97a228e23ed8bc77b96b03f1a44e /main/v4l-utils/APKBUILD
parenta37b6262c4a6e5ce15425c03f0e3e3827e0c1d74 (diff)
downloadaports-cf2a4fe10253ba2f846f14e6b8169e5be4bdba52.tar.gz
aports-cf2a4fe10253ba2f846f14e6b8169e5be4bdba52.tar.bz2
aports-cf2a4fe10253ba2f846f14e6b8169e5be4bdba52.tar.xz
main/v4l-utils: added ir_keytable subpackage
Diffstat (limited to 'main/v4l-utils/APKBUILD')
-rw-r--r--main/v4l-utils/APKBUILD20
1 files changed, 18 insertions, 2 deletions
diff --git a/main/v4l-utils/APKBUILD b/main/v4l-utils/APKBUILD
index c66802d062..d3468e0ca4 100644
--- a/main/v4l-utils/APKBUILD
+++ b/main/v4l-utils/APKBUILD
@@ -2,7 +2,7 @@
# Maintainer: Francesco Colista <fcolista@alpinelinux.org>
pkgname=v4l-utils
pkgver=1.8.1
-pkgrel=0
+pkgrel=1
pkgdesc="Userspace tools and conversion library for Video 4 Linux"
url="http://freshmeat.net/projects/libv4l"
arch="all"
@@ -10,7 +10,7 @@ license="LGPL2+"
depends=""
makedepends="qt-dev libjpeg-turbo-dev argp-standalone linux-headers"
install=""
-subpackages="$pkgname-dev $pkgname-doc qv4l2 $pkgname-dvbv5"
+subpackages="$pkgname-dev $pkgname-doc qv4l2 $pkgname-dvbv5 ir_keytable"
source="http://linuxtv.org/downloads/v4l-utils/$pkgname-$pkgver.tar.bz2
qv4l2.svg
qv4l2.desktop
@@ -71,6 +71,22 @@ dvbv5() {
"$subpkgdir"/usr/lib/ || return 1
}
+ir_keytable() {
+ pkgdesc="Alter keymaps of Remote Controller devices"
+ mkdir -p "$subpkgdir"/lib/udev/rc_keymaps \
+ "$subpkgdir"/lib/udev/rules.d \
+ "$subpkgdir"/usr/bin \
+ "$subpkgdir"/etc
+ mv "$pkgdir"/lib/udev/rc_keymaps/* \
+ "$subpkgdir"/lib/udev/rc_keymaps || return 1
+ mv "$pkgdir"/lib/udev/rules.d/* \
+ "$subpkgdir"/lib/udev/rules.d || return 1
+ mv "$pkgdir"/usr/bin/ir-keytable \
+ "$subpkgdir"/usr/bin || return 1
+ mv "$pkgdir"/etc/rc_keymaps \
+ "$subpkgdir"/etc/rc_keymaps || return 1
+}
+
md5sums="f86d0938e46fde821dc10d4d2f6636e4 v4l-utils-1.8.1.tar.bz2
75ef594ddfe48e48df99c96c2af6b51e qv4l2.svg
b2e51f9663cee1c38a1d99d76a6b529f qv4l2.desktop"